Image editor
Save a workspace layer effect preset
PUT
/image-editor/effect-presets/{id}AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/image-editor/effect-presets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "effects": { "blend_mode": "normal" }, "name": "string", "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ImageEditorBrandKitResponse.json", "backgrounds": [ "string" ], "can_edit": true, "colors": [ { "id": "string", "name": "string", "value": "string" } ], "effect_presets": [ { "effects": { "blend_mode": "normal", "drop_shadow": { "angle": -360, "blur": 0, "color": "string", "distance": 0, "opacity": 0 }, "inner_shadow": { "angle": -360, "blur": 0, "color": "string", "distance": 0, "opacity": 0 }, "stroke": { "color": "string", "opacity": 0, "position": "inside", "width": 0 } }, "id": "string", "name": "string" } ], "exists": true, "fonts": [ { "css_family": "string", "family": "string", "id": "string", "license_acknowledged": true, "license_acknowledged_at": "string", "license_acknowledged_by": "string", "media_id": "string", "style": "normal", "weight": 100 } ], "id": "string", "name": "string", "revision": 0, "text_styles": [ { "color": "string", "font_asset_id": "string", "font_family": "string", "font_size": 0.1, "font_style": "string", "font_weight": 0, "id": "string", "letter_spacing": 0.1, "line_height": 0.1, "name": "string" } ], "updated_at": "string", "workspace_id": "string"}